### Method

# Gimp Image metadata_load_finish

#### Declaration [src]

    void
    gimp_image_metadata_load_finish (
      GimpImage* image,
      const gchar* mime_type,
      GimpMetadata* metadata,
      GimpMetadataLoadFlags flags
    )

#### Description [src]

Applies the `metadata` previously loaded with `gimp_image_metadata_load_prepare()` to the image, taking into account the passed `flags`.

Available since: | 3.0

#### Parameters

`mime_type` | `const gchar*`
| The loaded file’s mime-type.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`metadata` | `GimpMetadata`
| The metadata to set on the image.
| The data is owned by the caller of the function.
`flags` | `GimpMetadataLoadFlags`
| Flags to specify what of the metadata to apply to the image.